summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEric Anderson2015-06-20 09:16:51 -0700
committerEric Anderson2015-06-20 09:16:51 -0700
commitb581f65329452beb02eceb7649fbf002143b5f21 (patch)
tree2458631599e481006323497aea97c1345c965060
downloadaur-b581f65329452beb02eceb7649fbf002143b5f21.tar.gz
Initial import
-rw-r--r--.SRCINFO29
-rw-r--r--PKGBUILD119
-rw-r--r--shadowgrounds-launcher.sh2
-rw-r--r--shadowgrounds.desktop9
-rw-r--r--shadowgrounds.install12
5 files changed, 171 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..58bec6c8afc
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,29 @@
+pkgbase = shadowgrounds
+ pkgdesc = A 3D sci-fi alien shooter (game sold separately)
+ pkgver = beta12_update1
+ pkgrel = 3
+ url = http://shadowgroundsgame.com/
+ arch = i686
+ arch = x86_64
+ license = unknown
+ makedepends = unzip
+ depends = libglade
+ depends = mesa
+ depends = openal
+ depends = libvorbis
+ depends = sdl_ttf
+ depends = libxmu
+ depends = sdl_sound
+ depends = sdl_image
+ optdepends = libtxc_dxtn: texture decoding for open source ATI and Intel drivers
+ noextract = shadowgroundsUpdate1.run
+ options = !strip
+ source = shadowgrounds-launcher.sh
+ source = shadowgrounds.desktop
+ source = hib://shadowgroundsUpdate1.run
+ md5sums = c83e117078496deac700c271694533ea
+ md5sums = 5bf18b1fff2e96b4a1d70b563c4f2ce7
+ md5sums = 7c9913f754168742973edfeb66ba8f1c
+
+pkgname = shadowgrounds
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..2441c8c7850
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,119 @@
+# Maintainer: Eric Anderson <ejona86 at gmail dot com>
+# Contributor: jimmy-6 <jakub.jarozek {at} gmail.com>
+
+pkgname=shadowgrounds
+pkgver=beta12_update1
+pkgrel=3
+pkgdesc='A 3D sci-fi alien shooter (game sold separately)'
+arch=('i686' 'x86_64')
+url='http://shadowgroundsgame.com/'
+license=('unknown')
+if [ "$CARCH" = "x86_64" ]; then
+ depends=('lib32-libglade' 'lib32-mesa' 'lib32-openal' 'lib32-libvorbis'
+ 'lib32-sdl_ttf' 'lib32-libxmu' 'lib32-sdl_sound' 'lib32-sdl_image')
+ optdepends=('lib32-libtxc_dxtn: texture decoding for open source ATI and Intel drivers')
+else
+ depends=('libglade' 'mesa' 'openal' 'libvorbis' 'sdl_ttf' 'libxmu' 'sdl_sound'
+ 'sdl_image')
+ optdepends=('libtxc_dxtn: texture decoding for open source ATI and Intel drivers')
+fi
+options=('!strip')
+makedepends=('unzip')
+if [ "$CARCH" = "x86_64" ]; then
+ install="${pkgname}.install"
+fi
+_gamepkg="shadowgroundsUpdate1.run"
+source=("${pkgname}-launcher.sh" "${pkgname}.desktop" "hib://${_gamepkg}")
+noextract=("${_gamepkg}")
+md5sums=('c83e117078496deac700c271694533ea'
+ '5bf18b1fff2e96b4a1d70b563c4f2ce7'
+ '7c9913f754168742973edfeb66ba8f1c')
+# You can download the Humble Indie Bundle file manually, or you can configure
+# DLAGENTS in makepkg.conf to auto-download.
+#
+# For example, to use hib-dlagent to download files set something like this in
+# your makepkg.conf (change/add -k and add -u/-p to your needs):
+# DLAGENTS=('hib::/usr/bin/hib-dlagent -k 1a2b3c -o %o $(echo %u | cut -c 7-)')
+#
+# To auto-search through a directory containing Humble Bundle downloads, you
+# could set:
+# DLAGENTS=('hib::/usr/bin/find /path/to/downloads -name $(echo %u | cut -c 7-) -exec ln -s \{\} %o \; -quit')
+DLAGENTS+=('hib::/usr/bin/echo "Could not find %u. Download the file manually to \"$(pwd)\" or setup hib:// DLAGENT in /etc/makepkg.conf"; echo "Read this PKGBUILD for more info."; exit 1')
+PKGEXT='.pkg.tar'
+
+build() {
+ cd "${srcdir}"
+ unzip -o "${_gamepkg}" -d "${pkgname}-${pkgver}" || true
+}
+
+package(){
+ cd "${srcdir}/${pkgname}-${pkgver}"
+
+ # Copy game files
+ mkdir -p "${pkgdir}/opt/"
+ cp -rl . "${pkgdir}/opt/${pkgname}"
+
+ # Remove unnecessary files
+ rm "${pkgdir}/opt/${pkgname}/createShortcuts.sh"
+ rm "${pkgdir}/opt/${pkgname}/removeShortcuts.sh"
+
+ # Use system-provided libraries
+ rm "${pkgdir}/opt/${pkgname}/lib32/libasound_module_pcm_pulse.so"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libasound.so.2"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libexpat.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libFLAC.so.8"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libgcc_s.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libgmodule-2.0.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libgomp.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libICE.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libjpeg.so.62"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libmikmod.so.2"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libm.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libogg.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libopenal.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libpng12.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/librt.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libSDL-1.2.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libSDL_image-1.2.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libSDL_sound-1.0.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libSDL_ttf-2.0.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libsmpeg-0.4.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libSM.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libspeex.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libstdc++.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libtiff.so.4"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libvorbisfile.so.3"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libvorbis.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libX11.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXau.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libxcb-render.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libxcb-render-util.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libxcb.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libxcb-xlib.so.0"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXcomposite.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXcursor.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXdamage.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXdmcp.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXext.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXfixes.so.3"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXinerama.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXi.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libxml2.so.2"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXmu.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXrender.so.1"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libXt.so.6"
+ rm "${pkgdir}/opt/${pkgname}/lib32/libz.so.1"
+
+ # Fix permissions
+ find "${pkgdir}/opt/${pkgname}" -type d -exec chmod 755 {} \;
+ find "${pkgdir}/opt/${pkgname}" -type f -exec chmod 644 {} \;
+ chmod -R 755 "${pkgdir}/opt/${pkgname}/lib32"
+ chmod 755 "${pkgdir}/opt/${pkgname}/${pkgname}-bin"
+ chmod 755 "${pkgdir}/opt/${pkgname}/${pkgname}-launcher"
+
+ # Copy launchers
+ install -Dm755 "${srcdir}/${pkgname}-launcher.sh" \
+ "${pkgdir}/usr/bin/${pkgname}"
+ install -Dm644 "${srcdir}/${pkgname}.desktop" \
+ "${pkgdir}/usr/share/applications/${pkgname}.desktop"
+}
diff --git a/shadowgrounds-launcher.sh b/shadowgrounds-launcher.sh
new file mode 100644
index 00000000000..fa8c5661bf7
--- /dev/null
+++ b/shadowgrounds-launcher.sh
@@ -0,0 +1,2 @@
+#!/bin/sh
+cd /opt/shadowgrounds && ./shadowgrounds-launcher $@
diff --git a/shadowgrounds.desktop b/shadowgrounds.desktop
new file mode 100644
index 00000000000..e0d7ba71386
--- /dev/null
+++ b/shadowgrounds.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Version=1.0
+Encoding=UTF-8
+Type=Application
+Name=Shadowgrounds
+Comment=Epic sci-fi alien shooter
+Icon=/opt/shadowgrounds/Shadowgrounds.xpm
+Exec=/usr/bin/shadowgrounds
+Categories=Game;ActionGame;
diff --git a/shadowgrounds.install b/shadowgrounds.install
new file mode 100644
index 00000000000..bfe79f39db2
--- /dev/null
+++ b/shadowgrounds.install
@@ -0,0 +1,12 @@
+post_install() {
+ cat <<EOF
+This package uses lib32-gtk2, which is easy to have misconfigured. If the GUI
+does not show up, make sure you have installed the lib32 version of your GTK+
+theme. For example: lib32-gtk-engines, lib32-gtk-engine-equinox, or
+lib32-gtk-engine-murrine
+EOF
+}
+
+post_upgrade() {
+ post_install $1
+}